Download it now!
Bug 59419 - RTF: Tables not rendered (regression)
Summary: RTF: Tables not rendered (regression)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: BSA bibisected40older target:4.1.0 ta...
Keywords: filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2013-01-15 13:11 UTC by mloc
Modified: 2017-02-23 20:01 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Document as shown in Word 2003 (16.54 KB, application/pdf)
2013-01-15 13:11 UTC, mloc
Details
Original RTF document (11.14 KB, application/rtf)
2013-01-15 13:13 UTC, mloc
Details
Document as shown in LibO 3.6.3.2 (34.96 KB, application/pdf)
2013-01-15 13:14 UTC, mloc
Details
Document as shown in Libo 4.0.0.1 (31.43 KB, application/pdf)
2013-01-15 13:15 UTC, mloc
Details
Document as shown in LibO 3.4.5 (35.20 KB, application/pdf)
2013-01-15 15:04 UTC, mloc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mloc 2013-01-15 13:11:46 UTC
Created attachment 73080 [details]
Document as shown in Word 2003

Problem description: 
Receiving a lot of RTF files with many tables in them which are not rendered properly at all in LibreOffice 3.6.3 and 4.0.0.1 (work "fine" in Word 2003).

I do not know how and with what tools the RTF files are generated. I do not know if it is valid RTF (encoding is poor and strings are buggy), I just know that we will keep receiving those as long as they "work" in Word 2003, so my life sucks.

              
Operating System: Windows 7
Version: 4.1.0.0.alpha0+ Master
Comment 1 mloc 2013-01-15 13:13:29 UTC
Created attachment 73081 [details]
Original RTF document
Comment 2 mloc 2013-01-15 13:14:14 UTC
Created attachment 73083 [details]
Document as shown in LibO 3.6.3.2
Comment 3 mloc 2013-01-15 13:15:57 UTC
Created attachment 73084 [details]
Document as shown in Libo 4.0.0.1

Notice the lack of border at the bottom of the page (the border appears in LibO 3.6.3.2
Comment 4 mloc 2013-01-15 15:03:14 UTC
I have just realized the documents is rendered fine in LibreOffice 3.4.5. Adding "regression" in the title.
Comment 5 mloc 2013-01-15 15:04:23 UTC
Created attachment 73098 [details]
Document as shown in LibO 3.4.5

It used to be better supported (?)
Comment 6 Joel Madero 2013-01-15 17:02:30 UTC
Changing to Version 3.6.3.2 as Version reflects the oldest version that displays the problem, not the latest version that has been tested.

Also if you could provide easily reproducible steps that are enumerated 

ie.

Steps to reproduce:
1.
2.
3.


That helps a lot to follow the bug
Comment 7 mloc 2013-01-16 10:14:17 UTC
Steps to reproduce:
1. Open "original RTF document" with LibO 3.6.3
2. Notice the lack of borders, columns and rows in the table
3. ...
Comment 8 mloc 2013-01-16 12:24:10 UTC
Same behavior (table not rendered) in LibO 3.5.7
Comment 9 Urmas 2013-01-26 16:43:22 UTC
Same with master.
Comment 10 mloc 2013-01-28 12:41:59 UTC
I have been told the document has been generated with Business Objects (I may fetch more info if it is useful)
Comment 11 Miklos Vajna 2013-02-03 13:36:23 UTC
Right, so simple \r and \n is ignored in RTF, but actually the tokenizer didn't take care of their \'0a and \'0d form. I'll fix this in a bit.
Comment 12 Not Assigned 2013-02-03 13:54:46 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f593a2e4179b05ae1019372cde612cb242d1d27f

fdo#59419 fix RTF import of hex form of \r and \n



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Miklos Vajna 2013-02-03 18:56:08 UTC
-4-0 review: https://gerrit.libreoffice.org/1974
Comment 14 Not Assigned 2013-02-04 05:36:35 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=285c71000aece675f982e8c637f202e606522daf&h=libreoffice-4-0

fdo#59419 fix RTF import of hex form of \r and \n


It will be available in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Robinson Tryon (qubit) 2015-12-17 12:13:04 UTC Comment hidden (obsolete)